
set(hdrs
	include/pw/scene/entity.hpp
	include/pw/scene/scene.hpp
	)

set(hdrs_components
	include/pw/scene/components/relationship.hpp
	include/pw/scene/components/transform.hpp
	include/pw/scene/components/projection.hpp
        include/pw/scene/components/camera.hpp
	)

set(srcs
	src/entity.cpp
	src/scene.cpp
	)

add_library(pwscene
	STATIC
	${hdrs}
	${hdrs_components}
	${srcs}
	)

target_include_directories(
	pwscene
	PUBLIC
	include
	)

target_include_directories(
	pwscene
	PUBLIC
	${CMAKE_SOURCE_DIR}/src/deps/entt-3.12.2/single_include
	)

target_link_libraries(pwscene pwcore)

add_subdirectory(tests)
